Package twisted :: Package names :: Module server :: Class DNSServerFactory

[show private | hide private]
[frames | no frames]

## Class DNSServerFactory

      Factory --+
                |
    ServerFactory --+
                    |
                   DNSServerFactory

Method Summary
| `__init__(self, authorities, caches, clients, verbose)`
| `allowQuery(self, message, protocol, address)`
| ``buildProtocol`(self, addr)` Create an instance of a subclass of Protocol.
| `connectionMade(self, protocol)`
| ``doStart`(self)` Make sure startFactory is called. (inherited from `Factory`)
| ``doStop`(self)` Make sure stopFactory is called. (inherited from `Factory`)
| `gotResolverError(self, failure, protocol, message, address)`
| `gotResolverResponse(self, (ans, auth, add), protocol, message, address)`
| `handleInverseQuery(self, message, protocol, address)`
| `handleNotify(self, message, protocol, address)`
| `handleOther(self, message, protocol, address)`
| `handleQuery(self, message, protocol, address)`
| `handleStatus(self, message, protocol, address)`
| `messageReceived(self, message, protocol, address)`
| `sendReply(self, protocol, message, address)`
| ``startFactory`(self)` This will be called before I begin listening on a Port or Connector.
| ``stopFactory`(self)` This will be called before I stop listening on all Ports/Connectors.

Class Variable Summary
`NoneType` | `cache`

Method Details

### buildProtocol(self, addr)

Create an instance of a subclass of Protocol.

The returned instance will handle input on an incoming server connection, and an attribute "factory" pointing to the creating factory.

Override this method to alter how Protocol instances get created.

  Overrides:
    `twisted.internet.protocol.Factory.buildProtocol` (inherited documentation)

### startFactory(self)

This will be called before I begin listening on a Port or Connector.

It will only be called once, even if the factory is connected to multiple ports.

This can be used to perform 'unserialization' tasks that are best put off until things are actually running, such as connecting to a database, opening files, etcetera.

  Overrides:
    `twisted.internet.protocol.Factory.startFactory` (inherited documentation)

### stopFactory(self)

This will be called before I stop listening on all Ports/Connectors.

This can be used to perform 'shutdown' tasks such as disconnecting database connections, closing files, etc.

It will be called, for example, before an application shuts down, if it was connected to a port.

  Overrides:
    `twisted.internet.protocol.Factory.stopFactory` (inherited documentation)

Class Variable Details

### cache

  Type:
    `NoneType`
  Value:

        None

Generated by Epydoc 1.1 on Thu May 8 13:16:34 2003 | http://epydoc.sf.net